/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Chuck Mason

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Chuck Mason IV                      chuckjr@sundial.net
    477 Moffat Loop
    Oviedo, Fl 32765
*/

#ifndef __SH2PROC_H
#define __SH2PROC_H

#include <semu_types.h>

typedef struct {
	uint32_t R[16];
	uint32_t SR, GBR, VBR;
	uint32_t MACH, MACL, PR;
	uint32_t PC;
	uint16_t inst;
	uint32_t delay_instruction;
	int delay_slot_in_progress;
	int invalid_opcode_occ;
	int processor_sleep;
} sh2_processor;


/* SR bits accessors (defined in opcode.c) */
int get_M(sh2_processor *);
int get_Q(sh2_processor *);
int get_S(sh2_processor *);
int get_T(sh2_processor *);

void set_M(sh2_processor *, int);
void set_Q(sh2_processor *, int);
void set_S(sh2_processor *, int);
void set_T(sh2_processor *, int);

void sh2_reset_cpu(sh2_processor *);

int sh2_debugger(sh2_processor *); 	/* In debug.c */

#endif
