/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Olivier Galibert

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "config.h"
#include "csa.h"

uint32_t access_read_cs0a(sh2_processor *sh2, uint32_t addr, mem_access type)
{
	printf("Read access Cartridge %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
	return 0;
}

void access_write_cs0a(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	printf("Write access Cartridge %5X.%c (%X) (PC=%8X)\n", addr, "BWL"[type], val, sh2->PC);
}

uint32_t access_read_cs1a(sh2_processor *sh2, uint32_t addr, mem_access type)
{
	printf("Read access A CS1 %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
	return 0;
}

void access_write_cs1a(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	printf("Write access A CS1 %5X.%c (%X) (PC=%8X)\n", addr, "BWL"[type], val, sh2->PC);
}

uint32_t access_read_cs2a(sh2_processor *sh2, uint32_t addr, mem_access type)
{
	printf("Read access A CS2 %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
	return 0;
}

void access_write_cs2a(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	printf("Write access A CS2 %5X.%c (%X) (PC=%8X)\n", addr, "BWL"[type], val, sh2->PC);
}

uint32_t access_read_cs3a(sh2_processor *sh2, uint32_t addr, mem_access type)
{
#if 0
	printf("Read access A CS3 %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
#endif
	if(type==MEM_WORD) {
		if(addr == 0x90018)
			return ( 0 <<8)|'C';
		if(addr == 0x9001c)
			return ('D'<<8)|'B';
		if(addr == 0x90020)
			return ('L'<<8)|'O';
		if(addr == 0x90024)
			return ('C'<<8)|'K';
	}
	return 0;
}

void access_write_cs3a(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	printf("Write access A CS3 %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
}
