/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Olivier Galibert

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __CSA_H
#define __CSA_H

#include "semu_types.h"
#include "cpu/sh2/memory.h"

uint32_t access_read_cs0a(sh2_processor *, uint32_t, mem_access);
void access_write_cs0a(sh2_processor *, uint32_t, uint32_t val, mem_access);
uint32_t access_read_cs1a(sh2_processor *, uint32_t, mem_access);
void access_write_cs1a(sh2_processor *, uint32_t, uint32_t val, mem_access);
uint32_t access_read_cs2a(sh2_processor *, uint32_t, mem_access);
void access_write_cs2a(sh2_processor *, uint32_t, uint32_t val, mem_access);
uint32_t access_read_cs3a(sh2_processor *, uint32_t, mem_access);
void access_write_cs3a(sh2_processor *, uint32_t, uint32_t val, mem_access);

#endif /* __CSA_H */
