/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Chuck Mason

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Chuck Mason IV                      chuckjr@sundial.net
    477 Moffat Loop
    Oviedo, Fl 32765
*/

#ifndef __ERROR_H
#define __ERROR_H

#define ERR_INVALID_HEADER "Invalid CD Header. Make sure there is a Saturn CD in the\n" \
			   "drive and that the CD is clean and free of scratches.\n"

#define ERR_NOREAD_HEADER "Can not read the CD header!\n"

#define ERR_NOOPEN "CD Device %s cannot be opened!\n"

#define ERR_UNKNOWN_OPTION "Unknown option \'%c\'\n"

#define ERR_ONLY_US "You\'re only allowed to play games for US Saturn consoles!\n"

#define ERR_SECURITY_CODE_NOMATCH "Illegal CD: security code does not match internal. Game will not play.\n"
#define ERR_AREA_CODE_NOMATCH     "Illegal CD: area security code does not contain\na U.S. security code. Game will not play.\n"
#define ERR_NOPLAY_MUSIC "Sorry, CD Music cannot be played.\n"

#define ERR_NOMEM "Cannot malloc()\n"
#define ERR_NOREAD_AIP "Can not read the AIP!\n"

int error(char *, ...);
			
#endif
