/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Olivier Galibert
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __SEMU_TYPES_H
#define __SEMU_TYPES_H

#ifdef HAVE_INTTYPES_H
#include <inttypes.h>
#else /* !HAVE_INTTYPES_H */
#ifdef SYS_TYPES_HAS_INTTYPES
#include <sys/types.h>
#else /* !SYS_TYPES_HAS_INTTYPES */

#if HAVE_SIGNED_CHAR
typedef signed char int8_t;
#else /* !HAVE_SIGNED_CHAR */
typedef char int8_t;
#endif /* !HAVE_SIGNED_CHAR */

typedef unsigned char uint8_t;

#if SIZEOF_SHORT != 2
#error No 16bits type found
#endif /* SIZEOF_SHORT != 2 */

typedef short int16_t;
typedef unsigned short uint16_t;

#if SIZEOF_INT == 4
typedef int int32_t;
typedef unsigned int uint32_t;
#else
#if SIZEOF_LONG == 4
typedef long int32_t;
typedef unsigned long uint32_t;
#else /* !SIZEOF_LONG == 4 */
#error No 32bits type found
#endif
#endif /* SIZEOF_INT == 4 */

#endif /* !SYS_TYPES_HAS_INTTYPES */
#endif /* !HAVE_INTTYPES_H */

#endif /* __SEMU_TYPES_H */

