/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Olivier Galibert

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "config.h"
#include "sound.h"

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

static uint8_t ram[512*1024];

uint32_t access_read_sound(sh2_processor *sh2, uint32_t addr, mem_access type)
{
	if(addr < 0x80000)
		return direct_read(ram+addr, type);
	printf("Read access Sound %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);

	return 0;
}

void access_write_sound(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	if(addr < 0x80000) {
		direct_write(ram+addr, val, type);
		return;
	}
	printf("Write access Sound %5X.%c (%X) (PC=%8X)\n", addr, "BWL"[type], val, sh2->PC);
}
