/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Olivier Galibert

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "config.h"
#include "vdp1.h"

uint32_t access_read_vdp1_vram(sh2_processor *sh2, uint32_t addr, mem_access type)
{
	printf("Read access VDP1 VRAM %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
	return 0;
}

void access_write_vdp1_vram(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	printf("Write access VDP1 VRAM %5X.%c (%X) (PC=%8X)\n", addr, "BWL"[type], val, sh2->PC);
}

uint32_t access_read_vdp1_fb(sh2_processor *sh2, uint32_t addr, mem_access type)
{
	printf("Read access VDP1 Framebuffer %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
	return 0;
}

void access_write_vdp1_fb(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	printf("Write access VDP1 Framebuffer %5X.%c (%X) (PC=%8X)\n", addr, "BWL"[type], val, sh2->PC);
}

uint32_t access_read_vdp1_regs(sh2_processor *sh2, uint32_t addr, mem_access type)
{
	printf("Read access VDP1 Registers %5X.%c (PC=%8X)\n", addr, "BWL"[type], sh2->PC);
	return 0;
}

void access_write_vdp1_regs(sh2_processor *sh2, uint32_t addr, uint32_t val, mem_access type)
{
	printf("Write access VDP1 Registers %5X.%c (%X) (PC=%8X)\n", addr, "BWL"[type], val, sh2->PC);
}
